//index.js
//获取应用实例
const app = getApp()
Page({
  data: {
    imgUrl: app.globalData.urlStatic,//图片路径
    phoneInputShow:false,//是否显示电话输入框
    siteSelect: false,//是否显示位置选择框
    provinceArr:[],//省
    provinceValue: 0,//选中的省下标
    storeArr:[],//店铺
    storeValue:0,//选中的店铺下标
    swiperCurrent:1,//swiper选中的元素下标
    verificationCode: '获取验证码',//验证码文案
    sendCode: true,
    subscribeData:{
      realname:"",//姓名
      mobile:"",//手机号
      captcha:"",//验证码
      province:"",//省份
      agentDetail: "",//经销商详细信息
      parentOpenid: "",//好友openid
    }
  },
  onLoad: function () {
    this.getUserLocation();//获取用户当前位置
  },
  provinceChane: function (e) {//选中省
    this.setData({
      provinceValue: e.detail.value,
      storeArr: this.data.provinceArr[e.detail.value].children,
      storeValue:0
    })
    this.data.subscribeData.province = this.data.provinceArr[this.data.provinceValue].province;
    this.data.subscribeData.agentDetail = this.data.storeArr[this.data.storeValue].agent_detail;
  },
  storeChane: function (e) {//选中店铺
    this.setData({
      storeValue: e.detail.value,
    })
    this.data.subscribeData.agentDetail = this.data.storeArr[this.data.storeValue].agent_detail;
  },
  getUserPhone:function(e){//获取用户手机号
    this.setData({
      phoneInputShow: true
    })
    if (e.detail.errMsg=='getPhoneNumber:ok'){
      this.setData({
        siteSelect: true,
      })
      app.wxRequest(app.globalData.urlRoot + "userInfo/getUserPhoneNumber", { encryptedData: e.detail.encryptedData, iv: e.detail.iv }, res => {
        if (res.code == 200) {
          this.data.subscribeData.mobile = res.data.decodeData.phoneNumber;
          this.setData({
            subscribeData: this.data.subscribeData
          })
        } else {
          wx.showToast({
            title: res.msg,
            icon: "none"
          })
        }
      }, this,"POST");
    }else{
      this.setData({
        siteSelect: true,
      })
    }
  },
  getUserLocation:function(e){
    wx.getLocation({
      type: 'gcj02',  //wgs84
      success:(res)=>{
        // console.log(res);
        this.getDistributorList(res.longitude, res.latitude);
      },
      fail:(res)=>{
        this.getDistributorList("", "");
      }
    })
  },
  prevImg(){//上一张图片
    if (this.data.swiperCurrent>0) {
      this.setData({
        swiperCurrent: this.data.swiperCurrent-=1,
      })
    }
  },
  nextImg() {//下一张图片
    if (this.data.swiperCurrent < 3) {
      this.setData({
        swiperCurrent: this.data.swiperCurrent+=1,
      })
    }
  },
  swiperChange(e){//通过鼠标滑动改变swiper时
    if (e.detail.source == "touch"){
      this.setData({
        swiperCurrent: e.detail.current,
      })
    }
  },
  getDistributorList: function (longitude, latitude){//获取经销商列表
    app.wxRequest(app.globalData.urlRoot + "agent/getAgentList", { longitude: longitude, latitude: latitude}, res => {
      if (res.code == 200) {
        this.setData({
          provinceArr: res.data.list,
          storeArr: res.data.list[res.data.nearData.provinceIndex].children,
          provinceValue: res.data.nearData.provinceIndex,
          storeValue: res.data.nearData.cityIndex
        })
        this.data.subscribeData.province = this.data.provinceArr[this.data.provinceValue].province;
        this.data.subscribeData.agentDetail = this.data.storeArr[this.data.storeValue].agent_detail;
      } else {
        wx.showToast({
          title: res.msg,
          icon: "none"
        })
      }
    }, this);
  },
  getCode: function (e) {//获取验证码
    if (!app.mobileVerify(this.data.subscribeData.mobile)) {
      if (this.data.subscribeData.mobile){
        wx.showToast({
          title: '请输入正确的电话',
          icon: 'none'
        })
      }else{
        wx.showToast({
          title: '请输入电话',
          icon: 'none'
        })
      }
      return;
    }
    if (!this.data.sendCode){
      return;
    }
    app.wxRequest(app.globalData.urlRoot + "captcha/sendCaptcha", { mobile:'18831849567'},res=>{
      console.log(res);
      if (res.code == 200) {
        this.countDown();
        wx.showToast({
          title: '验证码获取成功',
          icon: "none"
        })
        this.setData({
          verificationCode:60
        })
        this.data.sendCode = false;
      }else{
        wx.showToast({
          title: res.msg,
          icon: "none"
        })
      }
    },this)
  },
  countDown: function () {//倒计时
    setTimeout(() => {
      this.setData({
        verificationCode: this.data.verificationCode - 1
      })
      if (this.data.verificationCode > 0) {
        this.countDown();
      } else {
        this.setData({
          verificationCode: "获取验证码"
        })
        this.data.sendCode = true;
      }
    }, 1000);
  },
  getRealname: function (e) {//获取用户输入的姓名
    this.data.subscribeData.realname = e.detail.value;
  },
  getMobile: function (e) {//获取用户输入的电话
    this.data.subscribeData.mobile = e.detail.value;
  },
  getCaptcha: function (e) {//获取用户输入的验证码
    this.data.subscribeData.captcha = e.detail.value;
  },
  subscribeFun: function (e) {//预约鉴赏
    console.log(this.data.subscribeData);
    app.wxRequest(app.globalData.urlRoot + "userInfo/submitOrderInfo", this.data.subscribeData, res => {
      console.log(res);
      if (res.code == 200) {
        
      } else {
        wx.showToast({
          title: res.msg,
          icon: "none"
        })
      }
    }, this, "POST")
  },
})
