// pages/myCenter/myCenter.js
const app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    imgUrl: app.globalData.urlStatic,//图片路径
    isLogin:false,//登录状态
    selectNow:0,//现在的选项
    taskNow:1,//现在的任务类型
    recordNow: 1,//现在的记录类型
    taskList: [//任务列表
      { name: "双子星LED大灯", bar: 1 },
      { name: "双子星LED大灯双子星LED大灯", bar: 2 },
      { name: "双子星LED大灯", bar: 3 },
      { name: "双子星LED大灯", bar: 4 },
      { name: "双子星LED大灯", bar: 4 },
      { name: "双子星LED大灯", bar: 4 },
      { name: "双子星LED大灯", bar: 4 },
    ],
    provinceArr: [],//省
    provinceValue: 0,//选中的省下标
    storeArr: [],//店铺
    storeValue: 0,//选中的店铺下标
    verificationCode: '获取验证码',//验证码文案
    sendCode: true,
    subscribeData: {
      realname: "",//姓名
      mobile: "",//手机号
      captcha: "",//验证码
      province: "",//省份
      agentDetail: "",//经销商详细信息
      parentOpenid: "",//好友openid
    }
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {
    this.getUserLocation();
  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },
  selectChange:function(e){
      this.setData({
        selectNow: e.currentTarget.dataset.value
      })
  },
  selectTask: function (e) {
    this.setData({
      taskNow: e.currentTarget.dataset.type
    })
  },
  selectRecord: function (e) {
    this.setData({
      recordNow: e.currentTarget.dataset.type
    })
  },
  getUserLocation: function (e) {
    wx.getLocation({
      type: 'gcj02',  //wgs84
      success: (res) => {
        this.getDistributorList(res.longitude, res.latitude);
      },
      fail: (res) => {
        this.getDistributorList("", "");
      }
    })
  },
  getDistributorList: function (longitude, latitude) {//获取经销商列表
    app.wxRequest(app.globalData.urlRoot + "agent/getAgentList", { longitude: longitude, latitude: latitude }, res => {
      if (res.code == 200) {
        this.setData({
          provinceArr: res.data.list,
          storeArr: res.data.list[res.data.nearData.provinceIndex].children,
          provinceValue: res.data.nearData.provinceIndex,
          storeValue: res.data.nearData.cityIndex
        })
        this.data.subscribeData.province = this.data.provinceArr[this.data.provinceValue].province;
        this.data.subscribeData.agentDetail = this.data.storeArr[this.data.storeValue].agent_detail;
      } else {
        wx.showToast({
          title: res.msg,
          icon: "none"
        })
      }
    }, this);
  },
  provinceChane: function (e) {//选中省
    this.setData({
      provinceValue: e.detail.value,
      storeArr: this.data.provinceArr[e.detail.value].children,
      storeValue: 0
    })
    this.data.subscribeData.province = this.data.provinceArr[this.data.provinceValue].province;
    this.data.subscribeData.agentDetail = this.data.storeArr[this.data.storeValue].agent_detail;
  },
  storeChane: function (e) {//选中店铺
    this.setData({
      storeValue: e.detail.value,
    })
    this.data.subscribeData.agentDetail = this.data.storeArr[this.data.storeValue].agent_detail;
  },
  getCode: function (e) {//获取验证码
    app.wxRequest(app.globalData.urlRoot + "captcha/sendCaptcha", { mobile: '18831849567' }, res => {
      console.log(res);
      if (res.code == 200) {
        this.countDown();
        wx.showToast({
          title: '验证码获取成功',
          icon: "none"
        })
        this.setData({
          verificationCode: 60
        })
        this.data.sendCode = false;
      } else {
        wx.showToast({
          title: res.msg,
          icon: "none"
        })
      }
    }, this)
  },
  countDown: function () {//倒计时
    setTimeout(() => {
      this.setData({
        verificationCode: this.data.verificationCode - 1
      })
      if (this.data.verificationCode > 0) {
        this.countDown();
      } else {
        this.setData({
          verificationCode: "获取验证码"
        })
        this.data.sendCode = true;
      }
    }, 1000);
  },
  getRealname: function (e) {//获取用户输入的姓名
    this.data.subscribeData.realname = e.detail.value;
  },
  getMobile: function (e) {//获取用户输入的电话
    this.data.subscribeData.mobile = e.detail.value;
  },
  getCaptcha: function (e) {//获取用户输入的验证码
    this.data.subscribeData.captcha = e.detail.value;
  },
  subscribeFun: function (e) {//预约鉴赏
    console.log(this.data.subscribeData);
    app.wxRequest(app.globalData.urlRoot + "userInfo/submitOrderInfo", this.data.subscribeData, res => {
      console.log(res);
      if (res.code == 200) {

      } else {
        wx.showToast({
          title: res.msg,
          icon: "none"
        })
      }
    }, this, "POST")
  },
  getUserWxMsg:function(e){//获取用户信息
    console.log(e);
  }
})